Assets

Assets are files that can be stored in the system and referenced on products, variants, categories and global list values. Assets uploaded to the system are assigned a URL based on the assets file name. Each image asset can be auto-scaled, cropped and formatted by adding parameters to the URL of the asset. Thus, you should only upload an image once in the highest quality you will need it and the system will take care of any scaling automatically. Assets are organized in folders, which can be nested within each other.

Get ids of all assets

get
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
get
/v1/assets/ids
200

OK

Get an asset by its id

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Responses
chevron-right
200

OK

application/json

Represents an asset in the system with its associated metadata and file information.

Idinteger · int32Optional

The unique numeric identifier for the asset.

Uidstring · uuidOptional

The unique UUID identifier for the asset, used in external references.

CurrentFileVersioninteger · int32Optional

The current version information of the asset's file.

Createdstring · date-timeOptional

The timestamp when the asset was created.

LastModifiedstring · date-timeOptional

The timestamp when the asset was last modified.

CreatedBystring · nullableOptional

The identifier of the user who created the asset.

LastModifiedBystring · nullableOptional

The identifier of the user who last modified the asset.

AssetTypeUidstring · uuidOptional

The unique identifier of the asset type that defines the asset's characteristics.

IsPrivatebooleanOptional

Indicates whether the asset is private and requires specific permissions to access.

FileSizeinteger · int64Optional

The size of the asset's file in bytes.

FileTypestring · nullableOptional

The MIME type of the asset's file.

Extensionstring · nullableOptional

The file extension of the asset's file, including the leading dot (e.g., ".pdf").

FileNamestring · nullableOptional

The original filename of the asset, including the extension.

FolderUidstring · uuidOptional

The unique identifier of the folder containing this asset.

FileUrlstring · nullableOptional

The URL where the asset's file can be accessed.

CDNUrlstring · nullableOptional

The URL where the asset's file can be accessed.

Tagsstring[] · nullableOptional

Collection of tags associated with the asset for categorization and searching.

get
/v1/assets/{id}

Delete an asset by its id

delete
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset to delete

Responses
chevron-right
200

OK

No content

delete
/v1/assets/{id}

No content

Update an assets data

patch
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Body

Model for updating an existing asset

AssetTypeUidstring · uuid · nullableOptional

The unique identifier of the asset type to change the asset to. This defines the asset's characteristics and available metadata fields.

FolderUidstring · uuid · nullableOptional

The unique identifier of the folder where the asset should be moved to.

WorkflowStateUidstring · uuid · nullableOptional

The unique identifier of the workflow state to move the asset to.

Tagsstring[] · nullableOptional

Collection of tags to replace the existing tags on the asset. Providing an empty list will remove all tags.

Responses
chevron-right
200

OK

No content

patch
/v1/assets/{id}

No content

Get a list of assets by their ids (max 1000)

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Represents an asset in the system with its associated metadata and file information.

Idinteger · int32Optional

The unique numeric identifier for the asset.

Uidstring · uuidOptional

The unique UUID identifier for the asset, used in external references.

CurrentFileVersioninteger · int32Optional

The current version information of the asset's file.

Createdstring · date-timeOptional

The timestamp when the asset was created.

LastModifiedstring · date-timeOptional

The timestamp when the asset was last modified.

CreatedBystring · nullableOptional

The identifier of the user who created the asset.

LastModifiedBystring · nullableOptional

The identifier of the user who last modified the asset.

AssetTypeUidstring · uuidOptional

The unique identifier of the asset type that defines the asset's characteristics.

IsPrivatebooleanOptional

Indicates whether the asset is private and requires specific permissions to access.

FileSizeinteger · int64Optional

The size of the asset's file in bytes.

FileTypestring · nullableOptional

The MIME type of the asset's file.

Extensionstring · nullableOptional

The file extension of the asset's file, including the leading dot (e.g., ".pdf").

FileNamestring · nullableOptional

The original filename of the asset, including the extension.

FolderUidstring · uuidOptional

The unique identifier of the folder containing this asset.

FileUrlstring · nullableOptional

The URL where the asset's file can be accessed.

CDNUrlstring · nullableOptional

The URL where the asset's file can be accessed.

Tagsstring[] · nullableOptional

Collection of tags associated with the asset for categorization and searching.

post
/v1/assets/batch

Get all file versions of an asset

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Responses
chevron-right
200

OK

application/json

Represents a specific version of an asset's file in the system, tracking version history and file metadata.

Uidstring · uuidOptional

The unique identifier for this specific file version.

AssetUidstring · uuidOptional

The unique identifier of the parent asset this file version belongs to.

AssetIdinteger · int32Optional

The unique id of the asset this file version belongs to.

FileExtensionstring · nullableOptional

The file extension of this version's file, including the leading dot (e.g., ".pdf").

FileTypestring · nullableOptional

The MIME type of this version's file.

FileSizeinteger · int64Optional

The size of this version's file in bytes.

FileNamestring · nullableOptional

The original filename of this version's file, including the extension.

FileUrlstring · nullableOptional

The URL where this file version can be accessed.

Versioninteger · int32Optional

The version number or identifier for this file version.

Createdstring · date-timeOptional

The timestamp when this file version was created.

CreatedBystring · nullableOptional

The identifier of the user who created this file version.

get
/v1/assets/{id}/fileversions

Create a new version of an asset file

post
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Body
filestring · binaryRequired

Upload file

Responses
chevron-right
200

OK

application/json
string · uuidOptional
post
/v1/assets/{id}/fileversions

Get asset file versions for a list of assets

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Represents a specific version of an asset's file in the system, tracking version history and file metadata.

Uidstring · uuidOptional

The unique identifier for this specific file version.

AssetUidstring · uuidOptional

The unique identifier of the parent asset this file version belongs to.

AssetIdinteger · int32Optional

The unique id of the asset this file version belongs to.

FileExtensionstring · nullableOptional

The file extension of this version's file, including the leading dot (e.g., ".pdf").

FileTypestring · nullableOptional

The MIME type of this version's file.

FileSizeinteger · int64Optional

The size of this version's file in bytes.

FileNamestring · nullableOptional

The original filename of this version's file, including the extension.

FileUrlstring · nullableOptional

The URL where this file version can be accessed.

Versioninteger · int32Optional

The version number or identifier for this file version.

Createdstring · date-timeOptional

The timestamp when this file version was created.

CreatedBystring · nullableOptional

The identifier of the user who created this file version.

post
/v1/assets/batch/fileversions

Get assets from page and page size. Assets are sorted by the created date.

get
Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32Optional

Page

Default: 1
pageSizeinteger · int32Optional

Pagesize

Default: 100
Responses
chevron-right
200

OK

application/json

Response from a paged asset request

CurrentPageinteger · int32Optional

The current page number

PageSizeinteger · int32Optional

Page Size for the request

Totalinteger · int32Optional

Total number of assets

get
/v1/assets

Create a new asset

post
Authorizations
AuthorizationstringRequired
Query parameters
assetTypeUidstring · uuidOptional

Uid of asset type

folderUidstring · uuidOptional

Uid of folder

Body
filestring · binaryRequired

Upload file

Responses
post
/v1/assets

Update multiple assets' data

patch
Authorizations
AuthorizationstringRequired
Bodyobject[]

Update model for a batch of assets

AssetIdinteger · int32Optional

Uid of asset to update

Responses
chevron-right
200

OK

No content

patch
/v1/assets
200

OK

No content

Get assets from a folder by its uid

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of folder

Query parameters
pageinteger · int32Optional

Page

Default: 1
pageSizeinteger · int32Optional

Page size

Default: 100
Responses
chevron-right
200

OK

application/json

Represents an asset in the system with its associated metadata and file information.

Idinteger · int32Optional

The unique numeric identifier for the asset.

Uidstring · uuidOptional

The unique UUID identifier for the asset, used in external references.

CurrentFileVersioninteger · int32Optional

The current version information of the asset's file.

Createdstring · date-timeOptional

The timestamp when the asset was created.

LastModifiedstring · date-timeOptional

The timestamp when the asset was last modified.

CreatedBystring · nullableOptional

The identifier of the user who created the asset.

LastModifiedBystring · nullableOptional

The identifier of the user who last modified the asset.

AssetTypeUidstring · uuidOptional

The unique identifier of the asset type that defines the asset's characteristics.

IsPrivatebooleanOptional

Indicates whether the asset is private and requires specific permissions to access.

FileSizeinteger · int64Optional

The size of the asset's file in bytes.

FileTypestring · nullableOptional

The MIME type of the asset's file.

Extensionstring · nullableOptional

The file extension of the asset's file, including the leading dot (e.g., ".pdf").

FileNamestring · nullableOptional

The original filename of the asset, including the extension.

FolderUidstring · uuidOptional

The unique identifier of the folder containing this asset.

FileUrlstring · nullableOptional

The URL where the asset's file can be accessed.

CDNUrlstring · nullableOptional

The URL where the asset's file can be accessed.

Tagsstring[] · nullableOptional

Collection of tags associated with the asset for categorization and searching.

get
/v1/assets/folders/{uid}/assets

Get attribute values for an asset

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Query parameters
globalListValueReferencesOnlybooleanOptional

Indicate if only uids of referenced to global list values shall be returned instead of the materialized values

Default: false
Responses
chevron-right
200

OK

application/json

Attribute values for a asset

AssetIdinteger · int32Optional

Id of asset

get
/v1/assets/{id}/attributevalues

Get attribute values for multiple assets

post

No more than 5000 assets can be requested at a time.

Authorizations
AuthorizationstringRequired
Body

Define which assets to fetch data for and what data to fetch

AssetIdsinteger · int32[] · nullableOptional

Ids of assets to return

IncludeValuesinteger · enumOptional

Defines which attribute values to return

  • 1 = All: Return all attribute values
  • 2 = Scopes: Return values for scopes specified in request
  • 3 = Aliases: Return values for attribute aliases specified in request
  • 4 = ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias
  • 5 = Uids: Return values for attribute uids specified in request
Possible values:
Scopesstring[] · nullableOptional

If IncludeValues is Scopes, define which scopes to return values for here

Aliasesstring[] · nullableOptional

If IncludeValues is Aliases, define aliases of the attributes to include values for

Uidsstring · uuid[] · nullableOptional

If IncludeValues is Uids, define uids of the attributes to include values for

LimitToCultureCodesstring[] · nullableOptional

Only return values for specific languages

LimitToSegmentsstring[] · nullableOptional

Only return values for specific dimension segments

GlobalListValueReferencesOnlybooleanOptional

Indicate if only uids of referenced to global list values shall be returned instead of the materialized values

FromTimestampstring · date-time · nullableOptional

Get attribute values back in time

Responses
chevron-right
200

OK

application/json

Attribute values for a asset

AssetIdinteger · int32Optional

Id of asset

post
/v1/assets/batch/attributevalues
200

OK

Get enrichment insights for an asset

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

get
/v1/assets/{id}/enrichmentinsights

Get enrichment insights for multiple assets

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

post
/v1/assets/batch/enrichmentsinsights

Get insights for a batch of assets and a specific Enrichment Insight

post
Authorizations
AuthorizationstringRequired
Path parameters
enrichmentInsightUidstringRequired
Query parameters
enrichmentInsightUidstring · uuidOptional

Uid of enrichment insight to get for batch of assets

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

post
/v1/assets/batch/enrichmentinsights/{enrichmentInsightUid}
200

OK

Enable or disable an enrichment insight for an asset

patch
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

enrichmentInsightSetupUidstring · uuidRequired

Uid of enrichment insight to toggle ignore for

ignorebooleanRequired

Indicate whether to ignore the insight for the given enrichment insight and asset

Responses
chevron-right
200

OK

No content

patch
/v1/assets/{id}/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore}
200

OK

No content

Enable or disable an enrichment insight for a batch of assets

patch
Authorizations
AuthorizationstringRequired
Path parameters
enrichmentInsightSetupUidstringRequired
ignorestringRequired
Query parameters
enrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight to toggle ignore for

ignorebooleanOptional

Indicate whether to ignore the insight for the given enrichment insight and assets

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

No content

patch
/v1/assets/batch/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore}
200

OK

No content

Get references to an asset

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of asset

Responses
chevron-right
200

OK

application/json

Model holding references from other entities to a specific asset

AssetIdinteger · int32Optional

Id of the referenced asset

ReferencingGlobalListValuesstring · uuid[] · nullableOptional

List of global list values referencing this asset

get
/v1/assets/{id}/references

Get references to a batch of assets

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model holding references from other entities to a specific asset

AssetIdinteger · int32Optional

Id of the referenced asset

ReferencingGlobalListValuesstring · uuid[] · nullableOptional

List of global list values referencing this asset

post
/v1/assets/batch/references
200

OK

Get ids of assets matching a certain criteria

post
Authorizations
AuthorizationstringRequired
Body

Search model used for searching products or variants in PIM

IncludeArchivedbooleanOptional

Include archived items in result

Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
post
/v1/assets/search

Get paged result of assets matching certain criteria. Result mapped with headers and item results

post
Authorizations
AuthorizationstringRequired
Body

Extended search model used for searching products or variants in PIM with support for paging and sorting

Pageinteger · int32Optional
PageSizeinteger · int32 · nullableOptional
FieldUidsstring[] · nullableOptional
SortByFieldUidstring · nullableOptional
SortDescendingboolean · nullableOptional
IncludeArchivedbooleanOptional

Include archived items in result

Responses
chevron-right
200

OK

application/json
TotalHitsinteger · int32Optional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
TotalPagesinteger · int32Optional
post
/v1/assets/search/paged

Get all available query fields for assets

get
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

OK

application/json

Representation of a queryable field in PIM

Uidstring · nullableOptional

Unique id of field in PIM

Namestring · nullableOptional

The display name of the field

SupportsSortingbooleanOptional

If true field can be used for sorting

get
/v1/assets/queryablefields

Last updated